<%@ Assembly Name="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Page Language="C#" MasterPageFile="~/_layouts/application.master" Inherits="Microsoft.SharePoint.WebControls.LayoutsPageBase" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Import Namespace="System.Web.UI.WebControls" %>


<script runat="server">
  
    string oldIndex = "";
    string ops = "";
    string listName = "";
    bool trace = false;

    private void AEsubmit_Click(object sender, System.EventArgs e)
    {
      string newIndex = radio.SelectedValue;
      lab.Text = "new ID=" + newIndex + "|old ID=" + oldIndex;
      string refresh = "";
      if (ops == "del")
      {
        try
        {
          SPWeb myWeb = SPContext.Current.Web;
          SPList myList = myWeb.Lists[listName];
          int myID = int.Parse(newIndex);
          SPListItem myItem = myList.Items.GetItemById(myID);
          lab.Text += "<br>deleting " + myID + "=" + myItem["Title"].ToString();
          myItem.Delete();
        }
        catch (Exception err)
        {
          lab.Text += "<br>List Delete Error '" + err.Message;
        }
      }
      else
      {
        if (newIndex != oldIndex)
        {
          try
          {
            SPWeb myWeb = SPContext.Current.Web;
            SPList myList = myWeb.Lists[listName];

            if (!string.IsNullOrEmpty(oldIndex))
            {
              int myOldID = int.Parse(oldIndex);
              SPListItem myOldItem = myList.Items.GetItemById(myOldID);
              lab.Text += "<br>resetting " + myOldID + "=" + myOldItem["Title"].ToString();
              myOldItem["Active"] = false;
              myOldItem.Update();
            }

            int myNewID = int.Parse(newIndex);
            SPListItem myNewItem = myList.Items.GetItemById(myNewID);
            lab.Text += "<br>activating " + myNewID + "=" + myNewItem["Title"].ToString();
            myNewItem["Active"] = true;
            myNewItem.Update();
            refresh = "1";
          }
          catch (Exception err)
          {
            lab.Text += "<br>List Update Error '" + err.Message;
          }
        }
      }

      if (trace) return;      
      HttpContext context = HttpContext.Current;
      if (HttpContext.Current.Request.QueryString["IsDlg"] != null)
      {
        context.Response.Write("<script type='text/javascript'>window.frameElement.commitPopup(" + refresh + ");</s" + "cript>");
        context.Response.Flush();
        context.Response.End();
      }
    }


    private void AEcancel_Click(object sender, System.EventArgs e)
    {
      HttpContext context = HttpContext.Current;
      if (HttpContext.Current.Request.QueryString["IsDlg"] != null)
      {
        context.Response.Write("<script type='text/javascript'>window.frameElement.commitPopup();</s" + "cript>");
        context.Response.Flush();
        context.Response.End();
      }
    }

  
    protected override void OnLoad(EventArgs e)
    {
        string dmp = "";
        listName = HttpContext.Current.Request.QueryString["List"];
        if (string.IsNullOrEmpty(listName))
        {
          lab.Text = "No List selected!";
          return;
        }
        ops = HttpContext.Current.Request.QueryString["ops"];
        if (ops == "del") AECityOk.Text = "Delete";

        string popOkay = HttpContext.Current.Request.QueryString["popOkay"];
        if (!string.IsNullOrEmpty(popOkay)) AECityOk.Text = popOkay;

        string popCancel = HttpContext.Current.Request.QueryString["popCancel"];
        if (!string.IsNullOrEmpty(popCancel)) AECityCancel.Text = popCancel;
      
        try
        {
          SPWeb myWeb = SPContext.Current.Web;
          SPList myList = myWeb.Lists["WeatherWatchlist"];
          SPView myView = myList.Views["Watchlist"];
          SPListItemCollection listItems = myList.GetItems(myView);
          dmp += "<br>getting view items..";
          int k = 0;
          foreach (SPListItem item in listItems)
          {
              string rid = item["ID"].ToString();
              string tit = item["Title"].ToString();
              string act = "";
              if (item["Active"] != null) act = item["Active"].ToString();
              dmp += "<br>" + rid + ":" + tit + "=" + act;
              if (!Page.IsPostBack) radio.Items.Add(new ListItem(tit, rid));
              if (act == "True")
              {
                if (!Page.IsPostBack) radio.Items[k].Selected = true;
                oldIndex = rid;
              }
              k++;
          }
          if (k == 0)
          {
            lab.Text = "Your city list is currently empty";
            AECityOk.Visible = false;
          }
        }
        catch (Exception err)
        {
          lab.Text += "<br>List Access error :" + err.Message;
        }
        dmp += "<br>old Index=" + oldIndex;
        if (trace) lab.Text += dmp;
    }
</script>

<asp:Content ID="Main" ContentPlaceHolderID="PlaceHolderMain" runat="server">
    <asp:Label ID="lab" Width="400px" runat="server" />
    <asp:RadioButtonList ID="radio" runat="server" />
    <p align=right>
      <asp:Button ID="AECityOk" Text="Select" runat="server" OnClick= "AEsubmit_Click" />
      <asp:Button ID="AECityCancel" Text="Cancel" runat="server" OnClick= "AEcancel_Click" />
    </p>
</asp:Content>
<asp:Content ID="PageTitle" ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
    Weather Select City
</asp:Content>
<asp:Content ID="PageTitleInTitleArea" runat="server" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea">
    AEWeather Select City
</asp:Content>
